BEGIN ~GILLIAN~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 1
  IF ~~ THEN REPLY @3 GOTO 1
END

IF ~~ THEN BEGIN 1
  SAY @4
  IF ~~ THEN REPLY @5 GOTO 2
  IF ~~ THEN REPLY @6 GOTO 3
  IF ~~ THEN REPLY @7 GOTO 4
END

IF ~~ THEN BEGIN 2
  SAY @8
  IF ~~ THEN REPLY @5 GOTO 2
  IF ~~ THEN REPLY @6 GOTO 3
  IF ~~ THEN REPLY @7 GOTO 4
END

IF ~~ THEN BEGIN 3
  SAY @9
  IF ~~ THEN REPLY @5 GOTO 2
  IF ~~ THEN REPLY @6 GOTO 3
  IF ~~ THEN REPLY @7 GOTO 4
END

IF ~~ THEN BEGIN 4
  SAY @10
  IF ~~ THEN REPLY @11 GOTO 7
  IF ~~ THEN REPLY @12 GOTO 6
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 5
  SAY @14
  IF ~~ THEN REPLY @15 GOTO 7
  IF ~~ THEN REPLY @12 GOTO 6
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 6
  SAY @16
  IF ~~ THEN REPLY @15 GOTO 7
  IF ~~ THEN REPLY @12 GOTO 6
  IF ~~ THEN REPLY @13 GOTO 7
END

IF ~~ THEN BEGIN 7
  SAY @17
  IF ~~ THEN REPLY @18 GOTO 8
END

IF ~~ THEN BEGIN 8
  SAY @19
  IF ~~ THEN REPLY @20 GOTO 9
END

IF ~~ THEN BEGIN 9
  SAY @21
  IF ~~ THEN REPLY @22 GOTO 10
  IF ~~ THEN REPLY @23 GOTO 11
  IF ~~ THEN REPLY @24 GOTO 11
END

IF ~~ THEN BEGIN 10
  SAY @25
  IF ~~ THEN DO ~SetGlobal("TalkedGillia","GLOBAL",1)
~ JOURNAL @26 EXIT
END

IF ~~ THEN BEGIN 11
  SAY @27
  IF ~~ THEN REPLY @28 GOTO 12
  IF ~~ THEN REPLY @29 DO ~SetGlobal("TalkedGillia","GLOBAL",1)
SetGlobal("GilliaPay","GLOBAL",1)
~ JOURNAL @26 EXIT
END

IF ~~ THEN BEGIN 12
  SAY @30
  IF ~~ THEN REPLY @29 DO ~SetGlobal("TalkedGillia","GLOBAL",1)
SetGlobal("GilliaPay","GLOBAL",1)
~ JOURNAL @26 EXIT
  IF ~~ THEN REPLY @31 GOTO 13
END

IF ~~ THEN BEGIN 13
  SAY @32
  IF ~~ THEN DO ~SetGlobal("TalkedGillia","GLOBAL",1)
SetGlobal("GilliaPay","GLOBAL",2)
~ JOURNAL @26 EXIT
END

IF ~!PartyHasItem("GILYBABY")
~ THEN BEGIN 14
  SAY @33
  IF ~~ THEN EXIT
END

IF ~PartyHasItem("GILYBABY")
~ THEN BEGIN 15
  SAY @34
  IF ~~ THEN DO ~TakePartyItem("GILYBABY")
ReputationInc(2)
EscapeArea()
~ JOURNAL @35 EXIT
END

IF ~PartyHasItem("GILYBABY")
Global("GilliaPay","GLOBAL",1)
~ THEN BEGIN 16
  SAY @34
  IF ~~ THEN DO ~TakePartyItem("GILYBABY")
GivePartyGold(1000)
EscapeArea()
~ JOURNAL @35 EXIT
END

IF ~PartyHasItem("GILYBABY")
Global("GilliaPay","GLOBAL",2)
~ THEN BEGIN 17
  SAY @34
  IF ~~ THEN DO ~TakePartyItem("GILYBABY")
GivePartyGold(5000)
ReputationInc(-2)
EscapeArea()
~ JOURNAL @35 EXIT
END
